Subject: Re: extending ndo_add_rx_vxlan_port

From: Joseph Gasparakis <[email-masked]>
Date: Mon, 28 Oct 2013 14:13:08 -0700 (PDT)

On Mon, 28 Oct 2013, Joseph Gasparakis wrote:

> 
> 
> On Mon, 28 Oct 2013, Or Gerlitz wrote:
> 
> > On Mon, Oct 28, 2013 at 7:59 PM, Joseph Gasparakis
> > > On Mon, 28 Oct 2013, Or Gerlitz wrote:
> > >> On Mon, Oct 28, 2013 at 1:44 AM, Joseph Gasparakis wrote:
> > 
> > >> > VXLAN implementation is not done like VLAN. VLANs are stacked on top of
> > >> > real interfaces and what you are saying makes sense. VXLAN however is
> > >> > using ip[6]_tunnel_xmit, and this is why we need to notify all the
> > >>
> > >> As the name of the ndo you added ndo_add_rx_vxlan_port suggests -- HW
> > >> needs that for RX offloads. So basically, what I am saying is: in a
> > >> similar manner that we already program the NIC "over which" the vxlan
> > >> instance is set to listen on the multicast address which is associated
> > >> with that vxlan segement, lets give them a hint that packets arriving
> > >> on this group are vxlan ones, so they can use it for programming
> > >> steering rules.
> > >
> > > Why don't you write up some code so everyone has something to look at?
> > > Then we can see what makes sense to do in terms of the existing or new ndos.
> > 
> > sure, code talks, indeed, still, looking on net-next, for the current
> > ndo there's no in tree consumer unless I miss anything, did I?
> > 
> > Or.
> > 
> 
> I don't think you missed anything. My patches for the i40e are currently 
> in our trees and making their way to netdev. It will be very soon.
> 
> 

Oh! And I also forgot to mention that if you want to see how it 
will be used, together with the patch mentioned above that introduces 
the ndos, I had added an RFC patch against ixgbe that showcases how the 
driver could use them. The RFC patch was just loging the info, but the 
actual talking to the HW would be vendor specific anyway.